%global _hardened_build 1

%define major         0
%define libname       %mklibname %{name} %{major}
%define libname_devel %mklibname %{name} -d

Name:           drpm
Version:        0.5.2
Release:        %mkrel 3
Summary:        A small library for fetching information from DeltaRPM packages
Group:          System/Libraries
License:        LGPLv2+
URL:            https://github.com/rpm-software-management/%{name}
Source0:        https://github.com/rpm-software-management/%{name}/releases/download/%{version}/%{name}-%{version}.tar.bz2
Patch0:         drpm_cmake_minimum_version.patch

BuildRequires:  pkgconfig(rpm)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(bzip2)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(libzstd)

BuildRequires:  cmake >= 2.8.5
BuildRequires:  pkgconfig(cmocka) >= 1.0
%ifnarch aarch64
BuildRequires:  valgrind
%endif
BuildRequires:  doxygen

%package -n %{libname}
Summary:        A small library for fetching information from DeltaRPM packages
Group:          System/Libraries

%package -n %{libname_devel}
Summary:        C interface for the drpm library
Group:          Development/C
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description
The drpm package provides a small library allowing one to fetch
various info from DeltaRPM packages.

%description -n %{libname}
This package provides a small library allowing one to fetch
information from DeltaRPM packages.

%description -n %{libname_devel}
This package provides a C interface (drpm.h) for the drpm library.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%{_libdir}/libdrpm.so.%{major}{,.*}
%license COPYING

%files -n %{libname_devel}
%{_libdir}/libdrpm.so
%{_includedir}/drpm.h
%{_libdir}/pkgconfig/drpm.pc



%changelog
* Thu Jul 10 2025 mrambo3501 <mrambo3501> 0.5.2-3.mga10
+ Revision: 2252760
- add cmake minimum version patch
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Nov 12 2023 daviddavid <daviddavid> 0.5.2-1.mga10
+ Revision: 2006277
- new version: 0.5.2
- rebuild for new rpm 4.19.0

* Mon Mar 28 2022 umeabot <umeabot> 0.5.1-2.mga9
+ Revision: 1829696
- Mageia 9 Mass Rebuild

* Fri Mar 18 2022 luigiwalser <luigiwalser> 0.5.1-1.mga9
+ Revision: 1798914
- 0.5.1

* Sat Oct 02 2021 wally <wally> 0.5.0-2.mga9
+ Revision: 1748057
- rebuild for openssl 3.0.0

* Sat Dec 05 2020 luigiwalser <luigiwalser> 0.5.0-1.mga8
+ Revision: 1652946
- 0.5.0

* Tue Feb 18 2020 umeabot <umeabot> 0.4.1-2.mga8
+ Revision: 1539355
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Dec 08 2019 ngompa <ngompa> 0.4.1-1.mga8
+ Revision: 1465100
- Update to 0.4.1

* Mon Sep 16 2019 tv <tv> 0.3.0-4.mga8
+ Revision: 1441915
- fix build with rpm >= 4.15
- fix build with rpm >= 4.15
- rebuild for rpm-4.15

* Sun Sep 23 2018 umeabot <umeabot> 0.3.0-3.mga7
+ Revision: 1297512
- Mageia 7 Mass Rebuild

* Fri Sep 01 2017 tv <tv> 0.3.0-2.mga7
+ Revision: 1150487
- rebuild for new rpm

* Sun Jul 31 2016 ngompa <ngompa> 0.3.0-1.mga6
+ Revision: 1044141
- Upgrade to 0.3.0

* Sun Feb 14 2016 umeabot <umeabot> 0.2.1-3.mga6
+ Revision: 959854
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 0.2.1-2.mga6
+ Revision: 893751
- Initial import of drpm for Mageia


* Fri Oct 16 2015 Neal Gompa <ngompa13{%%}gmail{*}com> - 0.2.1-2
- Port to Mageia

* Tue Aug 4 2015 Matej Chalk <mchalk@redhat.com> 0.2.1-1
- Added openssl dependency

* Fri Jul 24 2015 Matej Chalk <mchalk@redhat.com> 0.2.0-2
- Fixed bug in test suite

* Tue Jun 23 2015 Matej Chalk <mchalk@redhat.com> 0.2.0-1
- Bumped minor version

* Fri Jun 19 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-4
- Memory test only for architectures that have valgrind (#1232157)

* Wed Mar 11 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-3
- Added cmocka and valgrind package dependencies

* Fri Mar 6 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-2
- Added check section

* Fri Feb 13 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-1
- Bumped version to 0.1.3
- Added CMake tool

* Fri Dec 19 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-4
- Enabled hardened build

* Mon Dec 15 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-3
- Added unversioned .so to package to enable linking with -ldrpm

* Thu Dec 11 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-2
- Removed unversioned .so from package
- Included copies of both GPLv3 and LGPLv3

* Wed Dec 3 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-1
- Bumped version to 0.1.2
- Added drpm.pc file for pkgconfig tool

* Thu Nov 6 2014 Matej Chalk <mchalk@redhat.com> 0.1.1-1
- Bumped version to 0.1.1

* Wed Nov 5 2014 Matej Chalk <mchalk@redhat.com> 0.1.0-1
- Initial RPM release
